SDL_InvalidParamError(3)

NAME
SDL_InvalidParamError - A macro to standardize error reporting on unsupported operations.

SYNOPSIS
#include <SDL3/SDL_error.h>

#define SDL_InvalidParamError(param)    SDL_SetError("Parameter '%s' is invalid", (param))

DESCRIPTION
This simply calls SDL_SetError() with a standardized error string, for convenience, consistency, and clarity.

A common usage pattern inside SDL is this:

        bool MyFunction(const char *str) {
            if (!str) {
                return SDL_InvalidParamError("str");  // returns false.
            }
            DoSomething(str);
            return true;
        }

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.